unit unitCAOSCalculator;

// TCAOSCalculatorForm : CAOS Calculator

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, unitChildForm, StdCtrls, ExtCtrls;

type
  TCAOSCalculatorForm = class(TMDIChildForm)
    ComboBox1: TComboBox; ComboBox2: TComboBox; ComboBox3: TComboBox; ComboBox4: TComboBox;
    ComboBox5: TComboBox; ComboBox6: TComboBox; ComboBox7: TComboBox; ComboBox8: TComboBox;
    Button1: TButton; Notebook1: TNotebook; Edit1: TEdit; ListBox1: TListBox;
    CheckBox1: TCheckBox; CheckBox2: TCheckBox; CheckBox3: TCheckBox; CheckBox4: TCheckBox;
    CheckBox5: TCheckBox; CheckBox6: TCheckBox; CheckBox7: TCheckBox; CheckBox8: TCheckBox;
    CheckBox9: TCheckBox; CheckBox10: TCheckBox; CheckBox11: TCheckBox; CheckBox12: TCheckBox;
    CheckBox13: TCheckBox; CheckBox14: TCheckBox; CheckBox15: TCheckBox; CheckBox16: TCheckBox;

    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  end;

var
  CAOSCalculatorForm: TCAOSCalculatorForm;

implementation

{$R *.DFM}

procedure TCAOSCalculatorForm.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
  ComboBox1Change(Self);

  ClientWidth := 327;
  ClientHeight := 129;
  WindowState := wsMinimized;
end;

procedure TCAOSCalculatorForm.ComboBox1Change(Sender: TObject);
begin
  // change stuff as needed
  if ComboBox1.ItemIndex < 2 then begin
    NoteBook1.PageIndex := 0;
  end else if ComboBox1.ItemIndex = 2 then begin
    NoteBook1.PageIndex := 1;
  end else if ComboBox1.ItemIndex = 3 then begin
    NoteBook1.PageIndex := 2;
  end else if ComboBox1.ItemIndex = 4 then begin
    NoteBook1.PageIndex := 3;
  end;
end;

procedure TCAOSCalculatorForm.Button1Click(Sender: TObject);
var
  n: Integer;
begin
  inherited;
  if ComboBox1.ItemIndex < 2 then begin
    Edit1.Text := ComboBox1.Text;
    Edit1.Text := Edit1.Text + ' ' + ComboBox2.Text;
    Edit1.Text := Edit1.Text + ' ' + ComboBox3.Text;
    Edit1.Text := Edit1.Text + ' ' + ComboBox4.Text;
    if ComboBox5.ItemIndex > 0 then begin
      Edit1.Text := Edit1.Text + ' ' + ComboBox5.Text;
      Edit1.Text := Edit1.Text + ' ' + ComboBox8.Text;
      Edit1.Text := Edit1.Text + ' ' + ComboBox7.Text;
      Edit1.Text := Edit1.Text + ' ' + ComboBox6.Text;
    end;
  end else if ComboBox1.ItemIndex = 2 then begin
    Edit1.Text := 'chem ' + IntToStr(ListBox1.ItemIndex);
  end else if ComboBox1.ItemIndex = 3 then begin
    n := 0;
    if CheckBox1.Checked then n := n + 1;
    if CheckBox2.Checked then n := n + 2;
    if CheckBox3.Checked then n := n + 4;
    if CheckBox4.Checked then n := n + 8;
    if CheckBox5.Checked then n := n + 16;
    if CheckBox6.Checked then n := n + 32;
    if CheckBox7.Checked then n := n + 64;
    if CheckBox8.Checked then n := n + 128;
    if CheckBox9.Checked then n := n + 256;
    if CheckBox10.Checked then n := n + 512;
    Edit1.Text := 'attr ' + IntToStr(n);
  end else if ComboBox1.ItemIndex = 4 then begin
    n := 0;
    if CheckBox11.Checked then n := n + 1;
    if CheckBox12.Checked then n := n + 2;
    if CheckBox13.Checked then n := n + 4;
    if CheckBox14.Checked then n := n + 32;
    if CheckBox15.Checked then n := n + 8;
    if CheckBox16.Checked then n := n + 16;
    Edit1.Text := 'bhvr ' + IntToStr(n);
  end else begin
    Edit1.Text := '***ERROR***';
  end;
  Edit1.SelStart := 0;
  Edit1.SelLength := Length(Edit1.Text);
  Edit1.CopyToClipboard;
end;

procedure TCAOSCalculatorForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caMinimize;
end;

end.
