unit unitPRAYWizard;

// TPRAYCompileForm : PRAY Compiler (Agent Editor)

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Spin, Buttons, unitErrorHandler;

type
  TPRAYCompileForm = class(TForm)
    ListBox1: TListBox; SpeedButton1: TSpeedButton; OpenDialog1: TOpenDialog;
    CheckBox1: TCheckBox; CheckBox2: TCheckBox; CheckBox3: TCheckBox; CheckBox4: TCheckBox;
    Label1: TLabel; Label2: TLabel; Label3: TLabel; Label4: TLabel;
    Label5: TLabel; Label6: TLabel; Label7: TLabel; Label8: TLabel;
    Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton;
    SpinEdit1: TSpinEdit; SpinEdit2: TSpinEdit; SpinEdit3: TSpinEdit;
    Edit1: TEdit; Edit2: TEdit; Edit3: TEdit;

    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  end;

var
  PRAYCompileForm: TPRAYCompileForm;

implementation

uses AgentClasses;

{$R *.DFM}

procedure TPRAYCompileForm.Button3Click(Sender: TObject);
begin
  if OpenDialog1.Execute then begin
    ListBox1.Items.Add(OpenDialog1.filename);
    Button4.Enabled := True;
  end;
end;

procedure TPRAYCompileForm.Button4Click(Sender: TObject);
begin
  if ListBox1.ItemIndex <> -1 then
    ListBox1.Items.Delete(ListBox1.ItemIndex);
  if ListBox1.Items.Count = 0 then Button4.Enabled := False;
end;

procedure TPRAYCompileForm.CheckBox3Click(Sender: TObject);
begin
  SpinEdit1.Enabled := CheckBox3.Checked;
  SpinEdit2.Enabled := CheckBox3.Checked;
end;

procedure TPRAYCompileForm.SpeedButton1Click(Sender: TObject);
var
  i: Integer;
begin
  if OpenDialog1.Execute then begin
    if (LowerCase(ExtractFileExt(OpenDialog1.FileName)) = '.s16') or (LowerCase(ExtractFileExt(OpenDialog1.FileName)) = '.c16') then begin
      if ListBox1.Items.IndexOf(OpenDialog1.Filename) = -1 then begin
        i := Application.MessageBox('Do you want to add the thumbnail to the dependancies list?', 'Zeus', MB_YESNOCANCEL);
        if i = IDCANCEL then Exit;
        if i = IDYES then
          ListBox1.Items.Add(OpenDialog1.Filename);
      end;
      Edit2.Text := OpenDialog1.Filename;
    end else begin
      ErrorDialog(10, True);
    end;
  end;
end;

end.
