unit unitWelcome;

// TWelcomeForm : Welcome Form

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Buttons;

type
  TWelcomeForm = class(TForm)
    CheckBox1: TCheckBox; Label1: TLabel; Label2: TLabel; Label3: TLabel;
    Label4: TLabel; ScrollBox1: TScrollBox;
    ToolbarButton971: TSpeedButton; ToolbarButton973: TSpeedButton; Button1: TButton; Button2: TButton;
    RadioButton1: TRadioButton; RadioButton2: TRadioButton;
    RadioButton3: TRadioButton; RadioButton4: TRadioButton;
    Label5: TLabel; Label6: TLabel; SpeedButton2: TSpeedButton;
    Memo1: TMemo; OpenDialog1: TOpenDialog; SaveDialog1: TSaveDialog;

    procedure Button2Click(Sender: TObject);
    procedure ToolbarButton973Click(Sender: TObject);
    procedure ToolbarButton971Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  end;

var
  WelcomeForm: TWelcomeForm;

implementation

uses ZeusClasses, MMSystem, Unit1, unitNewAgentWizard, unitChildForm, ShellApi, unitNewFileForm;

{$R *.DFM}

procedure TWelcomeForm.Button2Click(Sender: TObject);
begin
  ZeusMainForm.Close; // closing the main form causes the application to quit
end;

procedure TWelcomeForm.ToolbarButton973Click(Sender: TObject);
begin
  if recentfiles[0] = '' then begin Application.MessageBox('You need to have a previous file set in order to open it!', 'Zeus', MB_OK + MB_ICONEXCLAMATION); Exit; end;
  ZeusMainForm.OpenFile(recentfiles[0]); ModalResult := mrOK;
end;

procedure TWelcomeForm.ToolbarButton971Click(Sender: TObject);
begin
  Hide; with TNewAgentWizardForm.Create(Self) do begin ShowModal; Free; end; ModalResult := mrOK;
end;

procedure TWelcomeForm.FormShow(Sender: TObject);
begin
  RadioButton1.Checked := CommLink.GameName = 'Creatures 1'; RadioButton2.Checked := CommLink.GameName = 'Creatures 2';
  RadioButton3.Checked := CommLink.GameName = 'Creatures 3'; RadioButton4.Checked := CommLink.GameName = 'Creatures Village';
end;

procedure TWelcomeForm.RadioButton4Click(Sender: TObject);
begin
  CommLink.GameName := (sender as TRadioButton).Caption; SyntaxDataUpdate;
end;

procedure TWelcomeForm.SpeedButton2Click(Sender: TObject);
begin
  Hide; ZeusMainForm.Open1Click(Self); ModalResult := mrOK;
end;

initialization
  Application.CreateForm(TWelcomeForm, WelcomeForm);

  welcf := WelcomeForm;
end.
