unit unitCommLinkForm;

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, unitChildForm, StdCtrls, unitErrorHandler;

type
  TCommLinkForm = class(TMDIChildForm)
    Edit1: TEdit; Button1: TButton; Memo1: TMemo;

    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  end;

var
  CommLinkForm: TCommLinkForm;

implementation

{$R *.DFM}

uses ZeusClasses;

procedure TCommLinkForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  // (disable inherited) - so the window will minimize as is default for MDI children
end;

procedure TCommLinkForm.Button1Click(Sender: TObject);
begin
  if not CommLink.Connect then begin
    ErrorDialog(9, True);
    Exit;
  end;
  CommLink.Transaction := Edit1.Text;
  Memo1.Lines.Insert(0, CommLink.Results);
  CommLink.Disconnect;
end;

procedure TCommLinkForm.FormCreate(Sender: TObject);
begin
  inherited;

  WindowState := wsMinimized;
end;

end.
