unit unitNewFileForm;

// TNewFileForm : New File Form

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Buttons;

type
  TNewFileForm = class(TForm)
    ListBox1: TListBox; BitBtn1: TBitBtn; BitBtn2: TBitBtn;
    OpenDialog1: TOpenDialog; SaveDialog1: TSaveDialog;

    procedure FormShow(Sender: TObject); // Initialise the form
    procedure BitBtn1Click(Sender: TObject); // Create the new file
  end;

var
  NewFileForm: TNewFileForm;

implementation

uses unitChildForm, unitMapEditor, unitCatalogueForm, unitAgentForm, unitBLKCreator, unitNewAgentWizard, Unit1, ShellApi;

{$R *.DFM}

procedure TNewFileForm.FormShow(Sender: TObject);
begin
  ActiveControl := BitBtn1;
  ListBox1.ItemIndex := 0;
end;

procedure TNewFileForm.BitBtn1Click(Sender: TObject);
var
  f: TMDIChildForm;
begin
  if ListBox1.ItemIndex = 0 then f := TAgentForm.Create(Self)
  else if ListBox1.ItemIndex = 1 then begin with TNewAgentWizardForm.Create(Self) do begin ShowModal; Free; end; Exit; end
  else if ListBox1.ItemIndex = 2 then begin with TBLKCreatorForm.Create(Self) do begin ShowModal; Free; end; Exit; end
  else if ListBox1.ItemIndex = 3 then f := TCatalogueEditorForm.Create(Self)
  else if ListBox1.ItemIndex = 4 then f := TMetaroomEditorForm.Create(Self)
  else Exit;
  f.New;
end;

initialization
  Application.CreateForm(TNewFileForm, NewFileForm);
  newfilef := NewFileForm;
end.
